Reply to a task comment
curl --request POST \
--url https://app.orgo.space/api/v1/tasks/{uuid}/comments/reply \
--header 'Api-Token: <api-key>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"content": "<p>Hello {{firstName}},</p><p>You're invited.</p>",
"embedOpenGraph": "/api/v1/linters/1",
"task": "/api/v1/tasks/1"
}
EOFimport requests
url = "https://app.orgo.space/api/v1/tasks/{uuid}/comments/reply"
payload = {
"content": "<p>Hello {{firstName}},</p><p>You're invited.</p>",
"embedOpenGraph": "/api/v1/linters/1",
"task": "/api/v1/tasks/1"
}
headers = {
"Api-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<p>Hello {{firstName}},</p><p>You\'re invited.</p>',
embedOpenGraph: '/api/v1/linters/1',
task: '/api/v1/tasks/1'
})
};
fetch('https://app.orgo.space/api/v1/tasks/{uuid}/comments/reply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 42,
"owner": {
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png"
},
"childrenCount": 12,
"dateCreated": "2026-01-15T10:30:00+00:00",
"mentions": [
{
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png"
}
],
"content": "<p>Hello {{firstName}},</p><p>You're invited.</p>",
"reactionData": [
"string"
],
"myReactions": [
"string"
],
"embedOpenGraph": {
"id": 42,
"url": "https://civic-collective.example.com/agm",
"openGraph": [
"string"
]
},
"medias": [
{
"id": 42,
"entityId": 42,
"contentUrl": "https://civic-collective.example.com",
"type": "MEMBER",
"mimeType": "application/pdf",
"originalName": "Boston Chapter"
}
],
"isDeleted": false,
"moderated": "/api/v1/logs/1",
"task": "/api/v1/tasks/1",
"parentId": 42
}Task
Reply to a task comment
Posts a reply to an existing task comment. Requires a parent comment ID in the request body. Sends an in-app notification to the parent comment author (unless replying to own comment). Supports media attachments.
POST
/
api
/
v1
/
tasks
/
{uuid}
/
comments
/
reply
Reply to a task comment
Authorizations
ApiTokenJWT
Server-to-server authentication. Generate a token in the admin UI at
Settings → Developers → API Access. Send the raw token in the
Api-Token header — there is no Bearer prefix.
Tokens can be marked read-only at creation time, in which case the API
rejects any non-GET request with 403 Forbidden.
Path Parameters
Task identifier
Body
application/json
The new Task resource
Response
Task resource created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"/api/v1/logs/1"
Example:
"/api/v1/tasks/1"
⌘I

